// derivateDlg.h : header file
//

#pragma once

#include "cv.h"
#include "highgui.h"
#include "Comorph.h"
#include "afxwin.h"

// CderivateDlg dialog
class CderivateDlg : public CDialog
{
// Construction
public:
	CderivateDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DERIVATE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	IplImage *image;
	IplImage *result;
	IplImage *ori;
	Comorph comorph;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	double varmin;
	double angle;
	double minangle;
	double thr;
	int radius;
	float sigma;
	double maxangle;
	double wwidth;
	afx_msg void OnBnClickedButton4();
	CButton binary;
};
